Subject: bug#38294: [PATCH] Handle killing of virtual buffers in Ido

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Aug 2020 04:04:16 -0700

Dario Gjorgjevski <[email-masked]> writes:

> I agree with this.  In that case, should we prevent virtual buffers from
> being listed in ‘ido-kill-buffer’ in the first place?  Selecting one of
> them to be “killed” results in a no-op anyway, so why give people the
> impression that something happens?

Killing it isn't a no-op though.  When you kill it, you get prompted to
save changes, it runs hooks in the background, presumably removes it
from active memory, other functions will no longer be able to just
switch to it, etc., etc.

Best regards,
Stefan Kangas